Update a community (staff)
PATCH /api/communities/{communityId}. Update a community (staff). Headless LMS Communities API reference.
Owner or admin only. Changes only the fields sent. thumbnailAssetId must be a ready library image (409 otherwise); null clears it.
Path Parameters
communityId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/api/communities/string" \ -H "Content-Type: application/json" \ -d '{}'{ "orgId": "string", "id": "string", "type": "community", "title": "string", "slug": "string", "description": "string", "status": "draft", "thumbnailAssetId": "string", "settings": { "dm": { "enabled": true, "memberToMember": true, "memberToStaff": true, "staffToAnyone": true, "firstMessageIsRequest": true, "groupChats": true, "groupSize": 1 } }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "thumbnailUrl": "string"}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}